Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ViewAttributeDefImpl

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.server.DefObject
oracle.jbo.server.AttributeDefImpl
oracle.jbo.server.ViewAttributeDefImpl`

All Implemented Interfaces:
  AttributeDef, AttributeHints, Properties, VariableManagerOwner

public class ViewAttributeDefImpl
extends AttributeDefImpl

The ViewAttributeDefImpl is an alias to an AttributeDefImpl.

Version:
  PUBLIC since 9.0.3

Field Summary
`protected java.lang.String` | `mAlias`
`protected com.sun.java.util.collections.ArrayList` | `mAssocEntityRefs`
`protected boolean` | `mAssocEntityRefsInited`
`protected AttributeDefImpl` | `mAttrDesc`
`protected java.lang.String` | `mBindVar`
`protected java.lang.String` | `mGetterName`
`protected java.lang.String` | `mSetterName`
`protected ViewObjectImpl` | `mVO`

Fields inherited from class oracle.jbo.server.AttributeDefImpl
`ATTR_LOAD_BULK, ATTR_LOAD_EACH, ATTR_LOAD_SKIP, HISTORY_CREATE_DATE, HISTORY_CREATE_USER, HISTORY_MODIFY_DATE, HISTORY_MODIFY_USER, HISTORY_MODIFY_VERSION, HISTORY_NOT_DEFINED, mAttrLoad, mColumnName, mComponentClass, mDef, mDefaultValue, mDiscrColumn, mDomainName, mElemFactory, mElemType, mHistoryKind, mIndex, mJavaType, mKind, mMandatory, mNotNull, mObjectTableOID, mObjectTableRef, mObjectType, mOIDAttrNames, mPrecision, mPrimaryKey, mQueriable, mReadMethod, mResolveAccessors, mRetrievedOnInsert, mRetrievedOnUpdate, mScale, mSQLBuilder, mType, mTypeFactory, mTypeFactoryInitialized, mUnique, mUpdateable, mWriteMethod`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Fields inherited from interface oracle.jbo.AttributeHints
`ATTRIBUTE_CTL_DISPLAYHEIGHT, ATTRIBUTE_CTL_DISPLAYWIDTH, ATTRIBUTE_CTL_FORMTYPE, ATTRIBUTE_CTL_TYPE, ATTRIBUTE_DISPLAY_HINT, ATTRIBUTE_DISPLAY_HINT_DISPLAY, ATTRIBUTE_DISPLAY_HINT_HIDE, ATTRIBUTE_FORM_TYPE_DETAIL, ATTRIBUTE_FORM_TYPE_SHORT, ATTRIBUTE_LABEL, ATTRIBUTE_TOOLTIP, CTLTYPE_DATE, CTLTYPE_DEFAULT, CTLTYPE_EDIT, CTLTYPE_IMAGE, CTLTYPE_LIST, CTLTYPE_LOV, CTLTYPE_TOGGLE, FMT_FORMAT, FMT_FORMATTER`

Constructor Summary
`ViewAttributeDefImpl()` Construct an ViewAttributeDefImpl.

Method Summary
`ViewLinkDefImpl` | `findViewLinkDefImpl()`
`java.lang.String` | `getAliasName()`
`java.lang.String` | `getColumnNameForQuery()` Gets the column name to be used in query statement.
`EntityDefImpl` | `getEntityDef()` Returns the EntityDef to which the referenced AttributeDef belongs if this view attribute is entity based.
`com.sun.java.util.collections.HashMap` | `getHintsFromResource(LocaleContext locale)`
`int` | `getIndex()` Get the column position of this attribute in the data source.
`java.lang.String` | `getObjectType()` If the attribute is an object, returns the name of the attribute's object type
`ViewDefImpl` | `getOtherViewDef()` If this attribute is an accessor attribute (refers to an end in a ViewLink) then this method returns the ViewDef of other end of the ViewLink.
`com.sun.java.util.collections.HashMap` | `getPropertiesMap()` Returns all Properties from this attribute and it's domain if any.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`oracle.jbo.server.DefObject` | `getReferenceAttribute()` Gets the reference Entity's AttributeDefImpl if this View Attribute is Entity based.
`ViewDefImpl` | `getViewDef()`
`AssociationDefImpl` | `getViewLinkAccessorDef()`
`boolean` | `isDiscrColumn()` Returns whether this attribute is a Discriminator Column for this Entity type.
`void` | `setProperty(java.lang.String hintName, java.lang.Object hintValue)` Adds or changes a property.

Methods inherited from class oracle.jbo.server.AttributeDefImpl
`addValidator, beanToStore, convertToJava, convertToStorage, displayInShortForm, ensureVariableManager, finishedLoading, getAttributeKind, getAttrLoad, getBaseDefObject, getClientProxyClassName, getColumnName, getComponentInterfaceName, getControlType, getDef, getDefaultValue, getDisplayHeight, getDisplayHint, getDisplayWidth, getDomainName, getEffectiveClientProxyClassName, getEffectiveComponentInterfaceName, getElemFactory, getElemSQLType, getElemType, getFormat, getFormattedAttribute, getFormatter, getFormatterClassName, getHint, getHintValue, getHistoryKind, getJavaType, getLabel, getLocaleName, getMessageBundleClass, getOIDAttrNames, getPackageDef, getPackageName, getPrecision, getScale, getSQLBuilder, getSQLType, getSQLTypeIdToString, getSQLTypeStringToId, getTooltip, getTypeFactory, getUIHelper, getUpdateableFlag, getValidators, getVariableManager, getVarMgrParents, getXMLElementTag, hasFormatInformation, hasVariables, initFromXML, isCascadeUpdateParticipant, isMandatory, isObjectTableOID, isObjectTableRef, isPrimaryKey, isQueriable, isRetrievedOnInsert, isRetrievedOnUpdate, isSelected, isSessionScope, loadFromResultSet, loadFromStatement, loadProperties, loadVariables, parseFormattedAttribute, printXMLDefinition, removeValidator, resolveReferences, setAttrLoad, setBaseDefObject, setClientProxyClassName, setComponentInterfaceName, setDefaultValue, setDiscrColumn, setDomainName, setElemType, setMandatory, setMessageBundleClass, setName, setObjectType, setParent, setPrecisionScale, setPrimaryKey, setQueriable, setRetrievedOnInsert, setRetrievedOnUpdate, setSelected, setSQLType, setUpdateableFlag, storeToBean`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, setObjectResolved`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, refreshProperty, setFullName, setPropertiesMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.AttributeDef
`getName`

Methods inherited from interface oracle.jbo.Properties
`getProperties, refreshProperty`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Field Detail

### mAttrDesc

    protected AttributeDefImpl mAttrDesc

### mAlias

    protected java.lang.String mAlias

### mGetterName

    protected java.lang.String mGetterName

### mSetterName

    protected java.lang.String mSetterName

### mBindVar

    protected java.lang.String mBindVar

### mVO

    protected ViewObjectImpl mVO

### mAssocEntityRefs

    protected com.sun.java.util.collections.ArrayList mAssocEntityRefs

### mAssocEntityRefsInited

    protected boolean mAssocEntityRefsInited

Constructor Detail

### ViewAttributeDefImpl

    public ViewAttributeDefImpl()

  Construct an ViewAttributeDefImpl.

Method Detail

### getViewLinkAccessorDef

    public AssociationDefImpl getViewLinkAccessorDef()

### getViewDef

    public ViewDefImpl getViewDef()

### getOtherViewDef

    public ViewDefImpl getOtherViewDef()

  If this attribute is an accessor attribute (refers to an end in a ViewLink) then this method returns the ViewDef of other end of the ViewLink. If this attribute is not an accessor attribute it returns null.

### findViewLinkDefImpl

    public ViewLinkDefImpl findViewLinkDefImpl()

### getReferenceAttribute

    public oracle.jbo.server.DefObject getReferenceAttribute()

  Gets the reference Entity's AttributeDefImpl if this View Attribute is Entity based.
  Returns:
    The referenced by object (null if this attribute is not entity based.).

### getObjectType

    public java.lang.String getObjectType()

  Description copied from class: `AttributeDefImpl`
  If the attribute is an object, returns the name of the attribute's object type

  For example, assume that you have created an `Employee` table that contains an `Address` object of type `address_t`. The SQL code would look like this:

       CREATE TYPE address_t AS OBJECT  -- user defined Oracle Object datatype
              (
              Street VARCHAR2(30),
              City VARCHAR2(25),
              State CHAR(2),
              Zip  Number
              );

       CREATE TABLE Employee
              (
              EmpId Number,
              Name VARCHAR2(30),
              Address address_t,  -- note the Oracle Object datatype
              );

  In an `Employee` Entity Object, this would be interpreted as an `Address` attribute of type `Address_t`. If this method were applied to the `Address` attribute, it would return `Address_t`.

  Overrides:
    `getObjectType` in class `AttributeDefImpl`
  Returns:
    the name of the type.

### getIndex

    public int getIndex()

  Get the column position of this attribute in the data source. Implementation of the AttributeDef Interface.
  Specified by:
    `getIndex` in interface `AttributeDef`
  Overrides:
    `getIndex` in class `AttributeDefImpl`
  Returns:
    The column index.

### getAliasName

    public java.lang.String getAliasName()

### isDiscrColumn

    public boolean isDiscrColumn()

  Description copied from class: `AttributeDefImpl`
  Returns whether this attribute is a Discriminator Column for this Entity type.
  Overrides:
    `isDiscrColumn` in class `AttributeDefImpl`
  Returns:
    `true` if this is a Discriminator Column; `false` otherwise.

### getColumnNameForQuery

    public java.lang.String getColumnNameForQuery()

  Gets the column name to be used in query statement. If the VO involves multiple entity usages, the column name may have to be qualified with the table alias for the appropriate entity. If the query statement is a full query ("expert mode"), the where-clause in the outer select must use column alias used for the inner select. This method takes care of all this and returns the right column name to be used for a query statement.
  Specified by:
    `getColumnNameForQuery` in interface `AttributeDef`
  Overrides:
    `getColumnNameForQuery` in class `AttributeDefImpl`
  Returns:
    the column name to be used in query.

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Description copied from interface: `Properties`
  Retrieves the specified property, if it exists.
  Specified by:
    `getProperty` in interface `Properties`
  Overrides:
    `getProperty` in class `NamedObjectImpl`
  Parameters:
    `hintName` - a string to be used as a hash table key.
  Returns:
    the value associated with `hintName`, if any, otherwise `null`.

### setProperty

    public void setProperty(java.lang.String hintName,
                            java.lang.Object hintValue)

  Description copied from class: `NamedObjectImpl`
  Adds or changes a property.
  Overrides:
    `setProperty` in class `NamedObjectImpl`
  Parameters:
    `hintName` - a string to be used as a hash table key.
    `hintValue` - an object to be associated with `key`.

### getPropertiesMap

    public com.sun.java.util.collections.HashMap getPropertiesMap()

  Returns all Properties from this attribute and it's domain if any.
  Overrides:
    `getPropertiesMap` in class `AttributeDefImpl`
  Returns:
    the table of properties.

### getEntityDef

    public EntityDefImpl getEntityDef()

  Returns the EntityDef to which the referenced AttributeDef belongs if this view attribute is entity based. Otherwise returns null.
  Overrides:
    `getEntityDef` in class `AttributeDefImpl`
  Returns:
    this Entity Object definition to which this attribute belongs.

### getHintsFromResource

    public com.sun.java.util.collections.HashMap getHintsFromResource(LocaleContext locale)

  Overrides:
    `getHintsFromResource` in class `AttributeDefImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.